/**
 * Innovation > hydrogen_value_chain.css
 * version : 202312
*/

/* section */
.inno-detail__contents .inno-detail__section:first-child{border-bottom:1px solid rgba(0, 0, 0, 0.2);}
.inno-detail__contents .inno-detail__section:last-child{margin-bottom:0; padding-bottom:0;}

/* inno-detail */
.inno-detail__media .inno-detail__video {position:relative; aspect-ratio:16/9;}
.inno-detail__media .inno-detail__video::after{content:''; position:absolute; left:0; right:0; bottom:0; height:2px; background:#fff;}
.inno-detail__media .inno-detail__video video{width:100%; height:auto;}

@media print, screen and (min-width: 741px) and (max-width: 20000px) {
    /* motion */
    .inno-article__row[data-type="onActive"]{transform:translateY(20px); opacity:0; transition:all 0.4s ease-in-out;}
    .inno-article__row[data-type="onActive"].active{transform: translateY(0); opacity: 1;}

    /* inno-visual */
    .detail-visual__desc{max-width:702px;}
    .detail-visual + .inno-detail__inner{margin-top:60px;}

    /* inno-detail */
    .inno-detail__elem + .inno-detail__media{margin-top:60px;}

    /* inno-article */
    .inno-article__row{min-height:500px;}
    .inno-article__row:nth-of-type(1){justify-content:end;}
    .inno-article__row:nth-of-type(1) .inno-detail__img{position:absolute; left:0; top:0; margin-left:-400px;}
    .inno-article__row:nth-of-type(1) .inno-detail__elem{max-width:690px;}
    .inno-article__row.row-reverse{justify-content:normal;}
    .inno-article__row.row-reverse .inno-detail__img{left:50%; margin-left:200px;}
    .inno-article__elem + .inno-detail__inner{margin-top:120px;}

    .inno-article--single{display:block; gap:unset; min-height:auto;}
    .inno-article--single:nth-of-type(1) .inno-detail__elem{max-width:100%;}
    .inno-article--single:nth-of-type(1) .inno-detail__img{position:relative; display:flex; justify-content:space-between; margin:60px 0 0 0;}
}

/* mobile */
@media screen and (min-width:0) and (max-width:740px){
    /* inno-visual */
    .detail-visual + .inno-detail__inner{margin-top:50px;}

    /* inno-detail */
    .inno-detail__elem + .inno-detail__media{margin-top:50px;}

    /* inno-article */
    .inno-article__row .inno-detail__img{aspect-ratio:70/33;}
    .inno-article__elem + .inno-detail__inner{margin-top:50px;}

    .inno-article--single{display:flex; flex-wrap:wrap-reverse; gap:unset;}
    .inno-article--single .inno-detail__img img + img{margin-top:10px;}
}